#include "Effect.h"

class IntroEffect :public Effect
{
	private:
	ID3D10Effect*						effect;
	ID3D10EffectTechnique*				technique;
	ID3D10EffectShaderResourceVariable*	fullscreenTexture;
	ID3D10EffectScalarVariable*			fadeValue;

	public:
	HRESULT init();
	void setFullScreenTexture(ID3D10ShaderResourceView* textureResrc);
	void setModelMatrix(D3DXMATRIX* modelMatrix);
	void setViewMatrix(D3DXMATRIX* viewMatrix);
	void setProjectionMatrix(D3DXMATRIX* projMatrix);
	void setFadeValue(float value);
	ID3D10Effect* getEffectVariable();
	ID3D10EffectTechnique* getTechniqueVariable();
	void setInputLayout();
	~IntroEffect();
};